//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// CommonHelpers satellite library | Author: Sergei Y.Kitáev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;
using System.Text;

namespace CommonHelpers {

//**************************************************************************************************
partial class HConsole {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public void Output(object obj)
   { Output(false,obj); }
public void Output(string str)
   { Output(false,str); }
public void Output(string format,params object[] parameters)
   { Output(false,format,parameters); }

public void Output(ConsoleColor? color,object obj)
   { Output(false,color,obj); }
public void Output(ConsoleColor? color,string str)
   { Output(false,color,str); }
public void Output(ConsoleColor? color,string format,params object[] parameters)
   { Output(false,color,format,parameters); }

//--------------------------------------------------------------------------------------------------

public void OutputDefault(object obj)
   { OutputDefault(false,obj); }
public void OutputDefault(string str)
   { OutputDefault(false,str); }
public void OutputDefault(string format,params object[] parameters)
   { OutputDefault(false,format,parameters); }

//--------------------------------------------------------------------------------------------------

public void OutputIntensive(object obj)
   { OutputIntensive(false,obj); }
public void OutputIntensive(string str)
   { OutputIntensive(false,str); }
public void OutputIntensive(string format,params object[] parameters)
   { OutputIntensive(false,format,parameters); }

public void OutputFaint(object obj)
   { OutputFaint(false,obj); }
public void OutputFaint(string str)
   { OutputFaint(false,str); }
public void OutputFaint(string format,params object[] parameters)
   { OutputFaint(false,format,parameters); }

public void OutputExpressive(object obj)
   { OutputExpressive(false,obj); }
public void OutputExpressive(string str)
   { OutputExpressive(false,str); }
public void OutputExpressive(string format,params object[] parameters)
   { OutputExpressive(false,format,parameters); }

public void OutputImportant(object obj)
   { OutputImportant(false,obj); }
public void OutputImportant(string str)
   { OutputImportant(false,str); }
public void OutputImportant(string format,params object[] parameters)
   { OutputImportant(false,format,parameters); }

public void OutputExclamation(object obj)
   { OutputExclamation(false,obj); }
public void OutputExclamation(string str)
   { OutputExclamation(false,str); }
public void OutputExclamation(string format,params object[] parameters)
   { OutputExclamation(false,format,parameters); }

public void OutputInformation(object obj)
   { OutputInformation(false,obj); }
public void OutputInformation(string str)
   { OutputInformation(false,str); }
public void OutputInformation(string format,params object[] parameters)
   { OutputInformation(false,format,parameters); }

public void OutputWarning(object obj)
   { OutputWarning(false,obj); }
public void OutputWarning(string str)
   { OutputWarning(false,str); }
public void OutputWarning(string format,params object[] parameters)
   { OutputWarning(false,format,parameters); }

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // HConsole
//**************************************************************************************************

} // CommonHelpers
